Package lxml :: Module etree :: Class _ExsltRegExp

[hide private]
[frames] | no frames]

# Class _ExsltRegExp

    object --+
             |
            _ExsltRegExp

Instance Methods | [hide private]

__init__(...) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

__new__(T, S, ...) Returns: a new object with type S, a subtype of T |

match(...) |

replace(...) |

test(...) |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__

### __new__(T, S, ...)

Returns:

      a new object with type S, a subtype of T

Overrides: object.__new__